<?php
 
session_start();
include("DMMYSQLG.php");
include("DFJQUERY.inc");
include("DFSELMAN.inc");
?>
<?php

if($_REQUEST['bot']==''){
	echo '<h2>Seleccione un Registro!!!</h2>';
	echo '<meta content="0; url=DH25000_PR.php" HTTP-EQUIV="REFRESH">';
	exit();
}
include("DF80000.php");
include("DH25000_CL.php");

$objrequi=new requi($_REQUEST['bot'],'','','','','','');
$dt_requi=mysqli_fetch_array($objrequi->recuperar());
$objrequi->error();
?>
<html>
<head>
<title>Orden de compra</title>
<link rel="stylesheet" href="css/estilo1.css" type="text/css"/>
<script type="text/javascript" language="JavaScript1.2" src="DSSCRIPT.js"></script>

</head>
<body>
<script language="javascript">
$(document).ready(function(){
	$('input#buscar').click(function(){
		buscaProd();
	});
	$('input#tbus').keypress(function(){
			tecla = (document.all) ? event.keyCode : event.which; 
			if(tecla==8) return true; //Tecla de retroceso (para poder borrar) 
			if(tecla==13){
				buscaProd();
				document.getElementById('tbus').value="";
				return false;
			}
	});
	
	$('#producto').change(function(){
		regs=getProd();
		setValProd(regs);
	});
	
	$('input#agregar').click(function(){
		agregaProd();
	});
	$('input#modificar').click(function(){
		alert('modificar');
	});
	$('input#terminar').click(function(){
		openpage('DH25000_PR.php','_self');
	});
	
	setDefaults();
});



function setDefaults(){
	$.ajaxSetup({
		  type: "POST",
		  url: 'DH25000_AGDET-SRV.php',
		  async:false
	});
	
	getTablaDetalle();

}


function buscaProd(){
	var tbusqueda=document.getElementById('tbus').value;
	var objRadioBus=document.getElementsByName('r1');
	var objSelProd= new SelectManager('producto');
	var i,tipBus;
	for(i=0;i<objRadioBus.length;i++){
		if(objRadioBus['i'].checked){
			tipBus=objRadioBus['i'].value;
		}
	}
	$.post(
		'DH25000_AGDET-SRV.php',
			{ buscaProducto:'', r1:tipBus, tbus:tbusqueda},
			function(datos) {
				if(datos!='-1'){
					objSelProd.clearOptions();
					var arrDat=eval(datos)
					if(arrDat)
						objSelProd.addOptions(arrDat);
						setValProd(getProd());
				}	
				else
					alert('Producto No encontrado');
			}//termina funcion tratado datos
	);//termina post
}

function getProd(){
	var objSelProd= new SelectManager('producto');
	var regProd;
	$.post(
		'DH25000_AGDET-SRV.php',
			{ getProd:'',nparte1:objSelProd.getSelectedValue()},
			function(datos) {
				if(datos=='0')
					alert('Error al obtener producto, intente nuevamente');
				else
					regProd=eval(datos);
			}//termina funcion tratado datos
	);//termina post
	return regProd[0];
}
function setValProd(valores){
	var objSelProd= new SelectManager('producto');
	var objIdEnc=document.getElementById('bot');
	var objCant=document.getElementById('tcan');
	var objUniMed=document.getElementById('uni_med');
	var objColor=document.getElementById('color');
	var objAncho=document.getElementById('ancho');
	
	objUniMed.value=valores.uniMed;
		
}


function agregaProd(){
	var objSelProd= new SelectManager('producto');
	var idEnc=document.getElementById('bot').value;
	var cant=document.getElementById('tcan').value;
	var uniMed=document.getElementById('uni_med').value;
	var desc;
	var color=document.getElementById('color').value;
	var ancho=document.getElementById('ancho').value;
	desc=objSelProd.getSelectedLabel();	
	var i,tipBus;
	$.post(
		'DH25000_AGDET-SRV.php',
			{ accedeD:'A',numReg:'',id_enc:idEnc,cantidad:cant,uni_med:uniMed,descripcion:desc,color:color,ancho:ancho,exis_alma:'',restante:'',pre_uni:'',fecha_ent:'',fecha_com:''},
			function(datos) {
				if(datos=='0')
					alert('Error al agregar producto, intente nuevamente');
				getTablaDetalle();
			}//termina funcion tratado datos
	);//termina post
}


function eliminaProd(nReg){
	$.post(
		'DH25000_AGDET-SRV.php',
			{ accedeD:'E',numReg:nReg},
			function(datos) {
				if(datos=='0')
					alert('Error al eliminar producto, intente nuevamente');
				getTablaDetalle();
			}//termina funcion tratado datos
	);//termina post
}



function getTablaDetalle(){
	var idEnc=document.getElementById('bot').value;
	$.post(
		'DH25000_AGDET-SRV.php',
			{ generaTabla:'',id_enc:idEnc},
			function(datos) {
				document.getElementById('divTablaDetalle').innerHTML=datos;
			}//termina funcion tratado datos
	);//termina post
}
</script>
<form name="frm1" id="frm1" method="post" action="">
<input type="hidden" name="bot" id="bot" value="<?php
echo $_REQUEST['bot'];?>">
<table width="632" border="0" align="center">
  <tr>
    <td colspan="6" style="#CCCCCC" class=\"titulo\"><div align="center" class="Estilo2">Datos de la Requisici&oacute;n</div></td>
  </tr>
  <tr>
    <td width nowrap style="#0099FF"> Cliente:</td>
    <td width nowrap style="#0099FF"><input name="cliente" type="text" id="cliente" tabindex="1" size="50" readonly value="<?php
echo $dt_requi['cliente'];?>"></td>
    <td width nowrap style="#0099FF"> Area Solicitante: </td>
    <td width nowrap style="#0099FF"><input type="text"  name="departamento" id="departamento" value="<?php
echo $dt_requi['des_departamento'];?>" readonly></td>
  </tr>
  <tr>
    <td nowrap style="#0099FF">Pedido Interno: </td>
    <td colspan="3" nowrap style="#0099FF"><input name="ped_int" type="text" id="ped_int" size="60" value="<?php
echo $dt_requi['ped_int'];?>" readonly></td>
  </tr>
  <tr>
    <td nowrap style="#0099FF">Fecha: </td>
    <td nowrap style="#0099FF"><input name="fecha" type="text" class="emplea" id="fecha" size="10" maxlength="10" value="<?php
echo chfecha($dt_requi['fecha'],'Y-m-d','d/m/Y');?>" readonly>
      </td>
    <td nowrap style="#0099FF">Requerido para a: </td>
    <td nowrap style="#0099FF"><input name="fecha_req" type="text" class="emplea" id="fecha_req" size="10" maxlength="10" value="<?php
echo chfecha($dt_requi['fecha_req'],'Y-m-d','d/m/Y');?>" readonly>
      </td>
  </tr>
  <tr>
    <td nowrap style="#0099FF">Pedido Interno No.: </td>
    <td colspan="5" nowrap style="#0099FF"><textarea name="obs" cols="60" id="obs" readonly="readonly"><?php
echo $dt_requi['obs'];?></textarea></td>
  </tr>
</table>
<table width  align="center">
  <tr>
    <th colspan="7" class=\"titulo\">Productos de la Orden de Compra </th>
    </tr>
  <tr>
    <td class="estilotabla">
	<select name="producto" id="producto" tabindex="4">
     </select></td>
    <td class="estilotabla" > 
        <input name="tbus" type="text" id="tbus" tabindex="1"<?php
echo $_POST['tbus'];?>>
      <input name="buscar" type="button" id="buscar" value="Buscar"></td>
    <td width colspan="2" class="estilotabla"><input name="r1" type="radio" value="clave"  tabindex="2" <?php
 if($_POST['r1'] == "clave" || !isset($_POST['r1'])) echo ' checked'; ?>>
Clave 
   <input name="r1" type="radio" value="des" tabindex="3"<?php
  if($_POST['r1'] == "des") echo ' checked'; ?>>
Descripcion</td>
    </tr>
 </table>
 <table width="696"  align="center">
  <tr>
    <td width="64" style="#009933" class="estilotabla"><label>
      <input name="agregar" type="button" class="boton" id="agregar" value="Agregar">
    </label></td>
    <td width="48" style="#009933" class="estilotabla"><span class="Estilo11">Cantidad: </span></td>
    <td width="67" style="#009933" class="estilotabla"><input name="tcan" type="text" tabindex="6" size="15" maxlength="15"
	  <?php
 
	  	if(isset($_REQUEST['Submit3'])){
			echo 'value = "'.$regyy['can_ord'].'"';
		}
	  ?>
	  ></td>
	  <td width="67" style="#009933" class="estilotabla"><span class="Estilo11">
	    <label>
	    <input name="uni_med" type="text" id="uni_med" size="15">
	    </label>
	  </span></td>
	  <td width="32" style="#009933" class="estilotabla"><span class="Estilo11">Color:</span></td>
	  <td width="68" style="#009933" class="estilotabla"><span class="Estilo11">
	    <label>
	    <input name="color" type="text" id="color" size="15">
	    </label>
	  </span></td>
	  <td width="35" style="#009933" class="estilotabla">Ancho:</td>
	  <td width="65" style="#009933" class="estilotabla"><label>
	    <input name="ancho" type="text" id="ancho" size="15">
	  </label></td>
	  <td width="64" style="#009933" class="estilotabla">&nbsp;</td>
	  <td width="122" style="#009933" class="estilotabla">&nbsp;</td>
    </tr>
</table>
<table border='1' align="center">
    <tr>
      <th><label>
        <input name="terminar" type="button" id="terminar" value="Terminar">
      </label></th>
    </tr>
  </table>
<div id="divTablaDetalle"></div>
</form>
</body>
</html>